Subject: Re: [PATCH] ftrace, powerpc64: fix math to calculate offset in TOC

From: Ingo Molnar <[email-masked]>
Date: Mon, 9 Feb 2009 16:24:24 +0100

* Steven Rostedt <[email-masked]> wrote:

> 
> On Mon, 9 Feb 2009, Ingo Molnar wrote:
> 
> > 
> > * Steven Rostedt <[email-masked]> wrote:
> > 
> > > 
> > > Paul,
> > > 
> > > I found the bug that was causing large modules to fail in setting
> > > up dynamic ftrace. It wound up being a simple math error. To calculate
> > > the offset in the TOC, I had used an OR, but the bottom half was
> > > a signed extended short, and it should have been an addition.
> > > The fix is in my tree below, as well as posted here.
> > 
> > Looks like a .29 candidate?
> 
> Ingo,
> 
> I think Ben pulled them into their tree. The changes are specific to ppc, 
> and will probably get better user testing there. Unless you feel that we 
> have a bit of ppc testers using tip.

no, that's fine - just wanted to make sure it goes upstream via some method.

	Ingo